- Main Page
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions

# FbxProgress Class Reference

This reference page is linked to from the following overview topics: List of Python Fbx classes.

Search for all occurrences

## Detailed Description

Class for progress reporting.

Definition at line 31 of file fbxprogress.h.

`#include <fbxprogress.h>`

List of all members.

## Public Member Functions
| FbxProgress ()
| ~FbxProgress ()
void | SetTotal (float pTotal)
| Set the total amount of workload.
void | Add (float pDetaWorkload, const FbxString &pStatus)
| Report recent finished workload.
void | Reset ()
| Reset the progress status.
void | Complete (const FbxString &pStatus)
| Set the progress status to completed.
float | GetProgress (FbxString &pStatus) const
| Retrieve the progress status.
void | SetProgressCallback (FbxProgressCallback pCallback)
| Register a callback function for progress reporting in single thread mode.
void | Cancel (bool pIsCanceled)
| Set whether this progress was canceled by users.
bool | IsCanceled () const
| Query whether user canceled this progress.

## Constructor & Destructor Documentation

FbxProgress | ( |  | ) |

~FbxProgress | ( |  | ) |

## Member Function Documentation

void SetTotal | ( | float | pTotal | ) |

Search for all occurrences

Set the total amount of workload.

Parameters:

  pTotal | Total amount of workload

void Add | ( | float | pDetaWorkload,
|  | const FbxString & | pStatus
| ) |  |

Search for all occurrences

Report recent finished workload.

Parameters:

  pDetaWorkload | Amount of workload
  pStatus | Current progress status

void Reset | ( |  | ) |

Search for all occurrences

Reset the progress status.

void Complete | ( | const FbxString & | pStatus | ) |

Search for all occurrences

Set the progress status to completed.

Parameters:

  pStatus | Current progress status

float GetProgress | ( | FbxString & | pStatus | ) | const

Search for all occurrences

Retrieve the progress status.

Parameters:

  pStatus | Current progress status

Returns:
  Percentage

void SetProgressCallback | ( | FbxProgressCallback | pCallback | ) |

Search for all occurrences

Register a callback function for progress reporting in single thread mode.

Parameters:

  pCallback | Pointer of the callback function

void Cancel | ( | bool | pIsCanceled | ) | `[inline]`

Search for all occurrences

Set whether this progress was canceled by users.

Parameters:

  pIsCanceled | Set to `true` if canceled, `false` otherwise.

Definition at line 70 of file fbxprogress.h.

        {
            mCanceled = pIsCanceled;
        }

bool IsCanceled | ( |  | ) | const `[inline]`

Search for all occurrences

Query whether user canceled this progress.

Definition at line 76 of file fbxprogress.h.

        {
            return mCanceled;
        }

The documentation for this class was generated from the following file:

- fbxsdk/fileio/fbxprogress.h

FbxProgress FbxProgress FbxProgress FbxProgress FbxProgress FbxProgress FbxProgress FbxProgress FbxProgress FbxProgress
FbxProgress FbxProgress FbxProgress FbxProgress FbxProgress FbxProgress FbxProgress FbxProgress FbxProgress FbxProgress